Debian Bug report logs - #696530
menu-xdg: Populates XDG user directory with system entries

version graph

Package: menu-xdg; Maintainer for menu-xdg is Bill Allombert <ballombe@debian.org>; Source for menu-xdg is src:menu-xdg.

Reported by: berarma@hotmail.com

Date: Sat, 22 Dec 2012 13:30:02 UTC

Severity: normal

Tags: patch

Merged with 697099

Found in version menu-xdg/0.5

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Sat, 22 Dec 2012 13:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernat <berarma@gmail.com>:
New Bug report received and forwarded. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 22 Dec 2012 13:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bernat <berarma@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: menu-xdg: Populates XDG user directory with system entries
Date: Sat, 22 Dec 2012 14:26:55 +0100
Package: menu-xdg
Version: 0.5
Severity: critical
Justification: breaks unrelated software

Running update-menus as a normal user dumps all Debian menu entries into
~/.local/share/applications/menu-xdg/ including system global ones. This causes
problems to desktop managers that exclude the Debian menu since they already
provide desktop entries for most applications. In Gnome3, all Debian menu
entries will appear in the Other category and produce duplicates when using the
app search.

The expected behaviour would be to just dump the menu entries in ~/.menu, not
all entries in the system. The ~/.local/share/applications/menu-xdg/ directory
is meant for user installed menu entries and menu-xdg is currently breaking
that assumption.



-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/1 CPU core)
Locale: LANG=es_ES.utf8, LC_CTYPE=es_ES.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

menu-xdg depends on no packages.

Versions of packages menu-xdg recommends:
ii  menu  2.1.46

menu-xdg suggests no packages.

-- no debconf information



Owner recorded as berarma@hotmail.com. Request was from Bernat <berarma@hotmail.com> to control@bugs.debian.org. (Sat, 22 Dec 2012 13:45:07 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by berarma@hotmail.com. Request was from Bernat <berarma@hotmail.com> to control@bugs.debian.org. (Sat, 22 Dec 2012 13:54:08 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'berarma@hotmail.com' from 'Bernat <berarma@gmail.com>' Request was from Bernat <berarma@hotmail.com> to control@bugs.debian.org. (Sat, 22 Dec 2012 13:54:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Sat, 22 Dec 2012 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 22 Dec 2012 17:00:03 GMT) Full text and rfc822 format available.

Message #16 received at 696530@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Bernat <berarma@gmail.com>, 696530@bugs.debian.org
Subject: Re: Bug#696530: menu-xdg: Populates XDG user directory with system entriesi
Date: Sat, 22 Dec 2012 17:57:08 +0100
On Sat, Dec 22, 2012 at 02:26:55PM +0100, Bernat wrote:
> Package: menu-xdg
> Version: 0.5
> Severity: critical
> Justification: breaks unrelated software
> 
> Running update-menus as a normal user dumps all Debian menu entries into
> ~/.local/share/applications/menu-xdg/ including system global ones.

Hello Bernat,

What you are mentionned is the documented behaviour. 
You can remove them with 'update-menus --remove'.

> This causes
> problems to desktop managers that exclude the Debian menu since they already
> provide desktop entries for most applications. 

Such desktop managers are not compliant with the menu policy.

> In Gnome3, all Debian menu
> entries will appear in the Other category and produce duplicates when using the
> app search.

Yes, this is expected. This way the original menu layout is preserved.

> The expected behaviour would be to just dump the menu entries in ~/.menu, not
> all entries in the system. The ~/.local/share/applications/menu-xdg/ directory
> is meant for user installed menu entries and menu-xdg is currently breaking
> that assumption.

What you suggest is not compatible with the menu specification. ~/.menu is an
override, not merely a set of menu entries.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Sat, 22 Dec 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 22 Dec 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #21 received at 696530@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 696530@bugs.debian.org
Cc: Bernat <berarma@gmail.com>, 696530-subscribe@bugs.debian.org
Subject: Re: Bug#696530: menu-xdg: Populates XDG user directory with system entriesi
Date: Sat, 22 Dec 2012 18:46:42 +0100
Le samedi 22 décembre 2012 à 17:57 +0100, Bill Allombert a écrit : 
> What you are mentionned is the documented behaviour. 
> You can remove them with 'update-menus --remove'.

Documenting broken behavior does not make it less broken.

> > This causes
> > problems to desktop managers that exclude the Debian menu since they already
> > provide desktop entries for most applications. 
> 
> Such desktop managers are not compliant with the menu policy.

Please stop whining around with the menu policy. There is nothing in the
Debian policy about WMs/DEs having to support the Debian menu.

In this case, the menu-xdg behavior breaks gnome-shell’s application
tracking by duplicating menu entries; all of this for zero added
functionality.

> > In Gnome3, all Debian menu
> > entries will appear in the Other category and produce duplicates when using the
> > app search.
> 
> Yes, this is expected. This way the original menu layout is preserved.

The Debian menu was removed from gnome-menus. As such, the menu entries
should stop appearing, but they don’t always, because update-menus run
as user spams the user directory for XDG menus.

> > The expected behaviour would be to just dump the menu entries in ~/.menu, not
> > all entries in the system. The ~/.local/share/applications/menu-xdg/ directory
> > is meant for user installed menu entries and menu-xdg is currently breaking
> > that assumption.
> 
> What you suggest is not compatible with the menu specification. ~/.menu is an
> override, not merely a set of menu entries.

The current behavior is in violation of the XDG menu specification.
Maybe the menu-xdg package should be removed from the archive if cannot
comply with the specification it aims to implement.

At the very least, for a possible fix, entries should be generated in
another directory from ~/.local/share/applications, which is meant only
for user entries. Then you can mention this new directory
in /etc/xdg/menus/debian-menu.menu.

Another possible fix is for menu-xdg to add a X-Debian category for all
generated desktop files, in addition to the current X-Debian-foo-bar.
This way we can blacklist all such entries at once.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Fri, 28 Dec 2012 23:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Fri, 28 Dec 2012 23:36:03 GMT) Full text and rfc822 format available.

Message #26 received at 696530@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Bernat <berarma@gmail.com>, 696530@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#696530: menu-xdg: Populates XDG user directory with system entriesi
Date: Sat, 29 Dec 2012 00:31:59 +0100
severity 696530 wishlist
quit

I am resetting the severity to wishlist because this behaviour is compliant
with the menu documentation, the Debian menu subpolicy, and the XDG menu
specification.

If you do not like the result, just do 'update-menus --remove' and move on.

On the other hand, it is not clear gnome-shell is using .desktop entries for
purpose compatible with the XDG menu specification.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Severity set to 'wishlist' from 'critical' Request was from Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr> to control@bugs.debian.org. (Fri, 28 Dec 2012 23:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Sat, 29 Dec 2012 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 29 Dec 2012 01:21:03 GMT) Full text and rfc822 format available.

Message #33 received at 696530@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 696530@bugs.debian.org
Cc: Bernat <berarma@gmail.com>, control@bugs.debian.org
Subject: Re: Bug#696530: menu-xdg: Populates XDG user directory with system entriesi
Date: Sat, 29 Dec 2012 02:17:18 +0100
Le samedi 29 décembre 2012 à 00:31 +0100, Bill Allombert a écrit : 
> I am resetting the severity to wishlist because this behaviour is compliant
> with the menu documentation, the Debian menu subpolicy, and the XDG menu
> specification.

http://standards.freedesktop.org/menu-spec/menu-spec-latest.html#locations

Now of course you can find an interpretation where this means
applications installed by root can end up in $XDG_DATA_HOME, because
this wasn’t written by a lawyer. If that is what you seek, maybe we
should get the specification amended to make this explicit, but anyway
the spirit of the specification is already very clear.

> If you do not like the result, just do 'update-menus --remove' and move on.

I have suggested two very simple fixes. Until one of them is applied,
we’ll have to do with a very simple workaround:
http://anonscm.debian.org/viewvc/pkg-gnome?view=revision&revision=36501

> On the other hand, it is not clear gnome-shell is using .desktop entries for
> purpose compatible with the XDG menu specification.

Desktop entries are defined by the desktop entry specification, which
says nothing about looking up desktop entries by an API or by path name.

kthxbye,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Sat, 29 Dec 2012 01:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 29 Dec 2012 01:27:03 GMT) Full text and rfc822 format available.

Message #38 received at 696530@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 696530@bugs.debian.org
Cc: Bernat <berarma@gmail.com>, control@bugs.debian.org
Subject: Re: Bug#696530: menu-xdg: Populates XDG user directory with system entriesi
Date: Sat, 29 Dec 2012 02:22:45 +0100
[Message part 1 (text/plain, inline)]
tag 696530 + patch
kthxbye

Le samedi 29 décembre 2012 à 02:17 +0100, Josselin Mouette a écrit : 
> I have suggested two very simple fixes. 

For the sake of completeness, let’s add a patch for one of them.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-
[menu.diff (text/x-patch, inline)]
--- menu-xdg.orig	2012-12-29 02:20:18.497380342 +0100
+++ menu-xdg	2012-12-29 02:20:48.913529034 +0100
@@ -24,7 +24,7 @@
 	"<Name>" title() "</Name>\n"
 	"<Directory>" "debian" replacewith(tolower($section),"/ ","--") ".directory" "</Directory>\n"
 	"<Include>\n"
-	"<Category>" "X-Debian" replacewith($section,"/ ","--") "</Category>\n"
+	"<Category>" "X-Debian;X-Debian" replacewith($section,"/ ","--") "</Category>\n"
 	"</Include>\n";
 
 

Added tag(s) patch. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sat, 29 Dec 2012 01:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Sat, 29 Dec 2012 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 29 Dec 2012 09:12:03 GMT) Full text and rfc822 format available.

Message #45 received at 696530@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Josselin Mouette <joss@debian.org>, 696530@bugs.debian.org
Subject: Re: Bug#696530: menu-xdg: Populates XDG user directory with system entriesi
Date: Sat, 29 Dec 2012 10:09:24 +0100
On Sat, Dec 29, 2012 at 02:22:45AM +0100, Josselin Mouette wrote:
> tag 696530 + patch
> kthxbye
> 
> Le samedi 29 décembre 2012 à 02:17 +0100, Josselin Mouette a écrit : 
> > I have suggested two very simple fixes. 
> 
> For the sake of completeness, let’s add a patch for one of them.

What does it do ?
Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Sat, 29 Dec 2012 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 29 Dec 2012 09:18:03 GMT) Full text and rfc822 format available.

Message #50 received at 696530@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Josselin Mouette <joss@debian.org>, 696530@bugs.debian.org
Subject: Re: Bug#696530: menu-xdg: Populates XDG user directory with system entriesi
Date: Sat, 29 Dec 2012 10:16:16 +0100
On Sat, Dec 29, 2012 at 02:17:18AM +0100, Josselin Mouette wrote:
> Le samedi 29 décembre 2012 à 00:31 +0100, Bill Allombert a écrit : 
> > I am resetting the severity to wishlist because this behaviour is compliant
> > with the menu documentation, the Debian menu subpolicy, and the XDG menu
> > specification.
> 
> http://standards.freedesktop.org/menu-spec/menu-spec-latest.html#locations
> 
> Now of course you can find an interpretation where this means
> applications installed by root can end up in $XDG_DATA_HOME, because
> this wasn’t written by a lawyer. If that is what you seek, maybe we
> should get the specification amended to make this explicit, but anyway
> the spirit of the specification is already very clear.

The XDG menu specification allows the user to install entries that duplicate entries
in the root directory. That what running update-menus as a user is doing, no
more no less.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Sat, 29 Dec 2012 10:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 29 Dec 2012 10:09:05 GMT) Full text and rfc822 format available.

Message #55 received at 696530@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 696530@bugs.debian.org
Subject: Re: Bug#696530: menu-xdg: Populates XDG user directory with system entriesi
Date: Sat, 29 Dec 2012 11:05:17 +0100
Le samedi 29 décembre 2012 à 10:09 +0100, Bill Allombert a écrit :
> > For the sake of completeness, let’s add a patch for one of them.
> 
> What does it do ?

It makes it easy to blacklist all Debian entries at once (what we need
to do in gnome-shell).

On second thought, it needs another change in debian-menu.menu to avoid
duplicating all entries at the toplevel:

--- /etc/xdg/menus/debian-menu.menu	2012-10-29 10:55:55.000000000 +0100
+++ /tmp/debian-menu.menu	2012-12-29 11:04:13.099793320 +0100
@@ -6,6 +6,7 @@
 <DirectoryDir>/var/lib/menu-xdg/desktop-directories/menu-xdg</DirectoryDir>
 <Name>Debian</Name>
 <Directory>debian.directory</Directory>
+<OnlyUnallocated/>
 <Include>
 <Category>X-Debian</Category>
 </Include>

Le samedi 29 décembre 2012 à 10:16 +0100, Bill Allombert a écrit :
> The XDG menu specification allows the user to install entries that duplicate entries
> in the root directory. That what running update-menus as a user is doing, no
> more no less.

You might have become a good lawyer.

Cheers,
-- 
.''`.      Josselin Mouette
: :' :
`. `'
  `-




Merged 696530 697099 Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Wed, 02 Jan 2013 14:18:06 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'wishlist' Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Wed, 02 Jan 2013 14:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Wed, 02 Jan 2013 16:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernat <berarma@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Wed, 02 Jan 2013 16:15:13 GMT) Full text and rfc822 format available.

Message #64 received at 696530@bugs.debian.org (full text, mbox):

From: Bernat <berarma@hotmail.com>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 696530@bugs.debian.org
Subject: Re: Bug#696530: menu-xdg: Populates XDG user directory with system entriesi
Date: Wed, 02 Jan 2013 17:13:10 +0100
On 29/12/12 00:31, Bill Allombert wrote:
> If you do not like the result, just do 'update-menus --remove' and move on.

FYI, I've removed this package and we'll learn to live without it, so 
moving on. My concern was with some dependencies pulling this package 
(now fixed) and some install script executing update-menus on my behalf.

Regards.

-- 
Bernat




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Wed, 02 Jan 2013 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Wed, 02 Jan 2013 20:36:03 GMT) Full text and rfc822 format available.

Message #69 received at 696530@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 696530@bugs.debian.org
Cc: 696530-unsubscribe@bugs.debian.org
Subject: Worked around in gnome
Date: Wed, 02 Jan 2013 21:34:05 +0100
For the record, since there is still no way to easily blacklist Debian
entries, I’ve uploaded a new gnome-menus package which hardcodes
discarding of anything belonging to menu-xdg.

Of course this doesn’t help users of other desktop environments, but
hopefully for GNOME the Debian menu won’t ever be a problem anymore.

Adios,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Wed, 09 Jan 2013 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Wed, 09 Jan 2013 12:03:03 GMT) Full text and rfc822 format available.

Message #74 received at 696530@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Bernat <berarma@hotmail.com>
Cc: 696530@bugs.debian.org
Subject: Re: Bug#696530: menu-xdg: Populates XDG user directory with system entriesi
Date: Wed, 9 Jan 2013 13:01:36 +0100
On Wed, Jan 02, 2013 at 05:13:10PM +0100, Bernat wrote:
> On 29/12/12 00:31, Bill Allombert wrote:
> >If you do not like the result, just do 'update-menus --remove' and move on.
> 
> FYI, I've removed this package and we'll learn to live without it,
> so moving on. My concern was with some dependencies pulling this
> package (now fixed) and some install script executing update-menus
> on my behalf.

Do not worry: install scripts executing update-menus run as root and so do not
affect your account.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#696530; Package menu-xdg. (Sun, 27 Jan 2013 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sun, 27 Jan 2013 13:33:03 GMT) Full text and rfc822 format available.

Message #79 received at 696530@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Josselin Mouette <joss@debian.org>, 696530@bugs.debian.org
Subject: Re: Bug#696530: Worked around in gnome
Date: Sun, 27 Jan 2013 13:30:47 +0000
[Message part 1 (text/plain, inline)]
Control: severity -1 normal

On Wed, Jan  2, 2013 at 21:34:05 +0100, Josselin Mouette wrote:

> For the record, since there is still no way to easily blacklist Debian
> entries, I’ve uploaded a new gnome-menus package which hardcodes
> discarding of anything belonging to menu-xdg.
> 
> Of course this doesn’t help users of other desktop environments, but
> hopefully for GNOME the Debian menu won’t ever be a problem anymore.
> 
Downgrading, I don't think grave is appropriate.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'grave' Request was from Julien Cristau <jcristau@debian.org> to 696530-submit@bugs.debian.org. (Sun, 27 Jan 2013 13:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:54:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.